LinHES - Bug # 632: recstat not working in R6

Status: Closed Priority: Normal
Author: jimdoc Category:

Created: 02/28/2010 Assignee: jams
Updated: 03/25/2010 Due date:

Description: Originally posted as "Encoder Status LEDs for KnoppMyth" at

http://knoppmyth.net/phpBB2/viewtopic.php?t=12786

This script allowed LED's to be illuminated via serial port power based on encoder recording status.
In previous version of Knoppmyth, serial port support for this script was not included. | used pyserial to get it tg
work.

This script does not appear to be implemented in R6.

Associated revisions

03/25/2010 09:35 am - jams
recstat: initial include. Does not have support for runit

recstat will need to be modified

ref #632

03/25/2010 10:02 am - jams

recstat: added run file.

-More cleanup for recstat.py.
-removed recstat which is used for init

closes #632

History

03/21/2010 07:20 am - jams
- Assignee set to jams

03/21/2010 01:47 pm - jams

- Status changed from New to Feedback

I would be happy to add these scripts. Can you attach them? considering they are python | don't want cut/paste to screw with the whitespace.
Also the mythtv wiki page isn't found anymore. Do you have the required information from there?

03/21/2010 02:53 pm - jimdoc

- File recstat added

- File recstat.py added

Here are the files.

| don't believe these files (or description) were ever part of the mythtv wiki (not that I'm aware of anyway).

recstat is the script to run the python file. this worked in R5, but I'm not aware of how this gets implemented in R6.
recstat.py is the script that checks for active tuners. this file will need to be edited to reflect the users actual encoders.

Thank you. Let me know if you need any additional info.

03/21/2010 04:06 pm - jams

thanks i will add these, but it would be nice if we had instructions on how to build the led/serial port thing.

03/21/2010 05:54 pm - jimdoc

Ok | found the mythtv wiki stuff (via archive.org).

I've copied the page and placed a copy at...
http://dl.dropbox.com/u/2719364/recstat/Using_System_LEDs_for_Recording_Status.html

03/21/2010 07:20 pm - jams
- Target version set to 6.03.00

03/25/2010 07:42 am - jams
- Status changed from Feedback to In Progress

03/25/2010 08:18 am - jams

Added new package recstat

Copied instructions to this url:
http://linhes.org/bugs/projects/lin-hes/wiki/_Using_System_LEDs_for_Recording_Status_

03/25/2010 09:06 am - jams
- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:"c48b193bd468c5a2457¢c9db916c4cac9067b4c3d".

Files
recstat.py 846 Bytes 03/21/2010 jimdoc
recstat 1.1 kB 03/21/2010 jimdoc
